com.sun.jna.platform.win32.COM

## Class ITypeInfo.ByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.IUnknown
    - - com.sun.jna.platform.win32.COM.ITypeInfo
      - - com.sun.jna.platform.win32.COM.ITypeInfo.ByReference

- All Implemented Interfaces:
    NativeMapped, Structure.ByReference
  Enclosing class:
    ITypeInfo

      public static class ITypeInfo.ByReference
      extends ITypeInfo
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.ITypeInfo

      `ITypeInfo.ByReference`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.COM.IUnknown

      `IID_IDispatch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ITypeInfo.ByReference()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.ITypeInfo

      `AddressOfMember, CreateInstance, GetContainingTypeLib, GetDllEntry, GetDocumentation, GetFuncDesc, GetIDsOfNames, GetImplTypeFlags, GetMops, GetNames, GetRefTypeInfo, GetRefTypeOfImplType, GetTypeAttr, GetTypeComp, GetVarDesc, Invoke, ReleaseFuncDesc, ReleaseTypeAttr, ReleaseVarDesc`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.IUnknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ITypeInfo.ByReference

          public ITypeInfo.ByReference()

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.